LIBMTP_folder_struct(3)

NAME
libmtp -

SYNOPSIS

#include <libmtp.h>

  Data Fields

uint32_t folder_id
uint32_t parent_id
uint32_t storage_id
char * name
LIBMTP_folder_t * sibling
LIBMTP_folder_t * child

Detailed Description

MTP Folder structure

Field Documentation

  LIBMTP_folder_t* LIBMTP_folder_struct::child
Child folder or NULL if no children

Examples
folders.c.

Referenced by LIBMTP_destroy_folder_t(), LIBMTP_Find_Folder(), and LIBMTP_Get_Folder_List_For_Storage().

  uint32_t LIBMTP_folder_struct::folder_id
Unique folder ID

Examples
folders.c.

Referenced by LIBMTP_Find_Folder(), LIBMTP_Get_Folder_List_For_Storage(), and LIBMTP_Set_Folder_Name().

  char* LIBMTP_folder_struct::name
Name of folder

Examples
folders.c.

Referenced by LIBMTP_destroy_folder_t(), LIBMTP_Get_Folder_List_For_Storage(), and LIBMTP_Set_Folder_Name().

  uint32_t LIBMTP_folder_struct::parent_id
ID of parent folder

Referenced by LIBMTP_Get_Folder_List_For_Storage().

  LIBMTP_folder_t* LIBMTP_folder_struct::sibling
Next folder at same level or NULL if no more

Examples
folders.c.

Referenced by LIBMTP_destroy_folder_t(), LIBMTP_Find_Folder(), and LIBMTP_Get_Folder_List_For_Storage().

  uint32_t LIBMTP_folder_struct::storage_id
ID of storage holding this folder

Referenced by LIBMTP_Get_Folder_List_For_Storage().

Author

Generated automatically by Doxygen for libmtp from the source code.